/* Response texts

   OperStats - Copyright (c) 2000 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

/* Error Replies */
#define ERR_CANT_CONNECT	"Can't connect to %s:%d."
#define ERR_SERVER_ERROR	"Remote link returned %s"
#define ERR_SOCKET_READ		"Socket Read Failure."
#define ERR_READ_ERROR		"Read error from server: %s"
#define ERR_NO_CONFIG		"No config file found. OperStats stopped."
#define ERR_CANT_WRITE_PID	"Cannot write to PID file!"
#define ERR_UNKNOWN_COMMAND	"Unknown command \2%s\2. Type \2/MSG %s HELP\2 for help."
#define ERR_ACCESS_DENIED	"Access denied."
#define ERR_NO_HELP		"Sorry, there is no help available for \2%s\2."
#define ERR_NOT_SRA		"Sorry, you're not an SRA."
#define ERR_MORE_INFO		"Type \2/MSG %s HELP %s\2 for more information."
#define ERR_GNOTICER_DISABLED	"Sorry, the Global Noticer is disabled in the conf."
#define ERR_NOT_OPERSTATS	"You cannot JUPE OperStats."
#define ERR_LIST_THERE		"\2%s\2 is already present or inclusive in the %s%s list."
#define ERR_TOOMANYWILD		"The mask you gave contains too many wildcards. You must have at least %d non-wildcard characters."
#define ERR_MSG_LEN		"LogonMSGs are limited to \002256\002 characters. You gave \002%d\002."

/* Generic replies */
#define RPL_ALREADY_ON		"\2%s\2 is already \2ON\2."
#define RPL_ALREADY_OFF		"\2%s\2 is already \2OFF\2."
#define RPL_NOW_ON		"\2%s\2 is now \2ON\2."
#define RPL_NOW_OFF		"\2%s\2 is now \2OFF\2."
#define RPL_SYNTAX		"Syntax: \2%s\2"

/* OperServ replies */
#define OS_ACCESS_DENIED	"Access denied. Only IRCOps can use this service."
#define OS_NOW_SRA		"You are now recognized as an SRA."
#define OS_NOW_SRA_GLOBOP	"SRA -- %s!%s@%s is now SRA."
#define OS_NO_LONGER_SRA	"You are no longer an SRA."
#define OS_FAILED_AUTH		"Failed AUTH attempt by %s!%s@%s"
#define OS_SHUTTING_DOWN	"OperStats terminating by request of %s: %s"
#define OS_FORCE_UPDATE		"Forcing DB update by request of \2%s\2."
#define OS_GLOBAL_NOTICE	"Sending a global notice by request of \2%s\2."
#define OS_DOING_REHASH		"Rehashing %s by request of \2%s\2."
#define OS_DB_SYNC_COMPLETE	"DataBase Sync Completed."
#define OS_PINGED_ALL		"Successfully PINGed all servers."
#define OS_JUPE_MY_SERVER	"\2%s\2 attempted to JUPE my server!"
#define OS_JUPE_MY_UPLINK	"\2%s\2 attempted to JUPE my uplink!"
#define OS_JUPE_MY_NICK		"\2%s\2 attempted to JUPE %s!"
#define OS_JUPE_SUCCESSFUL	"JUPE on \2%s\2 was successful."
#define OS_JUPED		"JUPEing \2%s\2 by request of \2%s\2."
#define OS_AKILL_FORMAT		"Invalid %sAKill. The proper format is username@hostname"
#define OS_AKILL_ADDED		"AutoKill on \2%s\2 successfully added."
#define OS_AKILL_ADDED_GLOBOP	"\2%s\2 AKilled \2%s\2: %s"
#define OS_AKILL_LIST		"*** \2AKill List%s%s%s\2 ***"
#define OS_AKILL_LIST_MATCH	"[%d] %s (%s (Expires: %s)) %s"
#define OS_AKILL_LIST_END	"*** \2End of AKills\2 ***"
#define OS_AKILL_DELETED	"AutoKill on \2%s\2 has been deleted."
#define OS_ALL_AKILL_DELETED	"All %d AutoKills have been deleted."
#define OS_AKILL_NOT_FOUND	"No AutoKills matching \2%s\2 found."
#define OS_SETTINGS_START	"*** \2OperStats Settings\2 ***"
#define OS_SETTINGS_SYNC	"DataBase Sync            : %d seconds"
#define OS_SETTINGS_PING	"Servers Pinged           : %d seconds"
#define OS_SETTINGS_CHAN	"Snoop Channel            : %s"
#define OS_SETTINGS_TLDS	"Top-Level-Domains        : %s"
#define OS_SETTINGS_AKILL	"Default AKill Expiry     : %s"
#define OS_SETTINGS_AKILLREASON "Default AKill Reason     : %s"
#define OS_SETTINGS_NONWILD	"Non-Wild Chars Required  : %d"
#define OS_SETTINGS_AKILLGLOBAL "GlobOp on AKill Placement: %s"
#define OS_SETTINGS_END		"*** \2End of Settings\2 ***"
#define OS_LOGONMSG_ADDED	"\2%s\2 created a new LogonMSG."
#define OS_LOGONMSG_LIST_START	"*** \2LogonMSG List\2 ***"
#define OS_LOGONMSG_LIST	"[%d] Set by \2%s %s ago\2:"
#define OS_LOGONMSG_LIST_END	"*** \2End of LogonMSGs\2 ***"
#define OS_LOGONMSG_DELETED	"LogonMSG \2#%d\2 has been deleted."
#define OS_LOGONMSG_NOT_FOUND	"LogonMSG \2#%s\2 was not found."
#define OS_ALL_LOGONMSG_DELETED "All %d LogonMSGs have been deleted."

/* StatServ replies */
#define SS_TLD_IS		"Top-level domain \2%s\2 is \2%s\2."
#define SS_TLD_NOT_FOUND	"Sorry, I don't know what top-level domain \2%s\2 is."
#define SS_STATS_HEADER		"*** \2Network Statistics\2 ***"
#define SS_STATS_CURUSER	"Current Users    : %d"
#define SS_STATS_MAXAVGUSER	"Max/Avg Users    : %d/%d"
#define SS_STATS_CURCHANOPER	"Current Channels : %d (%d secret)"
#define SS_STATS_CURCHAN	"Current Channels : %d"
#define SS_STATS_MAXAVGCHAN	"Max/Avg Channels : %d/%d"
#define SS_STATS_CURSERV	"Current Servers  : %d"
#define SS_STATS_MAXAVGSERV	"Max/Avg Servers  : %d/%d"
#define SS_STATS_CURSPEEDMB	"Current Net Speed: %1.2f MB/s (%1.2f %s/s peak)"
#define SS_STATS_CURSPEEDKB	"Current Net Speed: %1.2f KB/s (%1.2f %s/s peak)"
#define SS_STATS_CURSPEEDBYTES	"Current Net Speed: %d bytes/s (%1.2f %s/s peak)"
#define SS_STATS_CURTIME	"Current Time     : %s"
#define SS_STATS_MAXUSERTIME	"Max User Time    : %s"
#define SS_STATS_MAXCHANTIME	"Max Channel Time : %s"
#define SS_STATS_MAXSERVTIME	"Max Server Time  : %s"
#define SS_STATS_FOOTER		"*** \2End of Stats\2 ***"
#define SS_SERVERS_HEADER	"*** \2Servers List\2 ***"
#define SS_SERVERS_FOOTER	"*** \2End of Servers\2 ***"
#define SS_MAP_HEADER		"*** \2Server Map\2 ***"
#define SS_MAP_FOOTER		"*** \2End of Map\2 ***"
#define SS_SERVER_NOT_FOUND	"Sorry, I don't see a server by the name of \2%s\2."
#define SS_SERVSTATS_HEADER	"*** \2Stats for %s\2 ***"
#define SS_SERVSTATS_SINCE	"Stats Since      : %s"
#define SS_SERVSTATS_SPLITS	"Splits           : %d"
#define SS_SERVSTATS_DOWNTIME	"Downtime         : %s"
#define SS_SERVSTATS_SPLITFOR	"Split For        : %s"
#define SS_SERVER_RESET		"Statistics for \2%s\2 have been reset."
#define SS_CANT_FLUSH		"\2FLUSH\2 cannot be used on servers that are online."
#define SS_SERVER_FLUSHED	"\2%s\2 has been flushed."
